Create Experiment
curl --request POST \
--url https://dash.tinyanalytics.io/api/sites/{site}/experiments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Checkout color test",
"hypothesis": "Green CTA increases conversions",
"featureFlagId": 12,
"primaryGoalId": 5,
"status": "running"
}
'import requests
url = "https://dash.tinyanalytics.io/api/sites/{site}/experiments"
payload = {
"name": "Checkout color test",
"hypothesis": "Green CTA increases conversions",
"featureFlagId": 12,
"primaryGoalId": 5,
"status": "running"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Checkout color test',
hypothesis: 'Green CTA increases conversions',
featureFlagId: 12,
primaryGoalId: 5,
status: 'running'
})
};
fetch('https://dash.tinyanalytics.io/api/sites/{site}/experiments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Create Experiment
Creates an experiment over a multivariate flag. Requires manage role.
POST
/
sites
/
{site}
/
experiments
Create Experiment
Related topics
A/B Testing AnalyticsPrivacy-Friendly Web and Product Analyticstinyanalytics Account Settings⌘I